#############################################################################################
#############################################################################################
##
## DIRECTORIES
##
#############################################################################################
#############################################################################################

APPLICATION_PATH          ?=   $(PROJECT_ROOT)application/
DEPLOYMENT_PATH           ?=   $(PROJECT_ROOT)deployment/
DEVELOPMENT_PATH          ?=   $(PROJECT_ROOT)development/
DOCUMENTATION_PATH        ?=   $(PROJECT_ROOT)documentation/
REQUIREMENT_PATH          ?=   $(PROJECT_ROOT)requirement/
CREDENTIALS_PATH          ?=   $(PROJECT_ROOT)credential/

TUTORIALS_PATH            ?=   $(DOCUMENTATION_PATH)tutorial/
DOCUMENTATION_CONFIG_PATH ?=   $(DOCUMENTATION_PATH)config/
                          
RESOURCE_PATH             ?=   $(APPLICATION_PATH)resource/
SOURCE_PATH               ?=   $(APPLICATION_PATH)source/
WEB_PATH                  ?=   $(APPLICATION_PATH)web/

## SCRIPTS_PATH IS DEPRECATED					      
SCRIPTS_PATH              ?=   $(DEVELOPMENT_PATH)script/

DEVELOPMENT_SCRIPTS_PATH  ?=   $(DEVELOPMENT_PATH)script/
BUILD_PATH                ?=   $(DEPLOYMENT_PATH)build/
VENDOR_PATH               ?=   $(DEPLOYMENT_PATH)vendor/
ALVINE_VENDOR_PATH        ?=   $(VENDOR_PATH)alvine/
TEST_PATH                 ?=   $(DEVELOPMENT_PATH)tests/

DEPLOYMENT_SCRIPTS_PATH   ?=   $(DEPLOYMENT_PATH)script/
LICENSE_PATH              ?=   $(PROJECT_ROOT)

PROJECT_DIRECTORIES :=  $(PROJECT_DIRECTORIES)  \
	$(APPLICATION_PATH) \
	$(RESOURCE_PATH) \
	$(SOURCE_PATH) \
	$(WEB_PATH) \
	$(DEPLOYMENT_PATH) \
	$(VENDOR_PATH) \
	$(ALVINE_VENDOR_PATH) \
	$(TEST_PATH) \
	$(DEVELOPMENT_PATH) \
	$(DEVELOPMENT_SCRIPTS_PATH) \
	$(DEPLOYMENT_SCRIPTS_PATH) \
	$(DOCUMENTATION_PATH) \
	$(REQUIREMENT_PATH)  \
	$(CREDENTIALS_PATH) \
	$(LICENSE_PATH) \
	$(BUILD_PATH)
	
