#############################################################################################
#############################################################################################
##
## README
##
#############################################################################################
#############################################################################################


define README_FILE_CONTENT
# $(COMPONENT_NAME)

$(COMPONENT_NAME) is a lightweight, robust and easy-to-use form library with modest ambitions. 
The component easily integrates with your existing websites without taking over everything.

One design target is to reach the shiny sun with as little JavaScript as possible.

Monster was built with ES6 modules and uses [import](https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Statements/import)  
and [export](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/export).

For some functions, you need additional [polyfills](#polyfill).

## Documentation

To check out docs and examples, visit [monsterjs.org/en/doc/$(COMPONENT_SLUG)/](https://monsterjs.org/en/doc/$(COMPONENT_SLUG)/).

## Installation

`npm install @schukai/component-$(COMPONENT_SLUG)`, `yarn install @schukai/component-$(COMPONENT_SLUG)` or `pnpm install @schukai/component-$(COMPONENT_SLUG)`

## Usage

A simple example of the use of functionality from $(COMPONENT_NAME). We create a small file `index.mjs`.
The `m` in `.mjs` stands for module. In the example we want to make substitutions in a string.

```js
// example
```

To integrate this function into a website it is recommended to use a bundler like [esbuild](https://esbuild.github.io/).

```sh
esbuild index.mjs --outfile dist.js
```

We can now integrate that into our website.

```html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>$(COMPONENT_NAME)</title>
    <script src="dist.js"></script>
</head>
<body>
```

Voila!


### Polyfill

We do try to work around some browser bugs, but on the whole we don't use polyfills and feature detection.

However, many functions can be mapped via [polyfill.io](https://polyfill.io/) and thus the compatibility can be increased.

```js
<script id="polyfill" src="https://polyfill.io/v3/polyfill.min.js?..."
       crossorigin="anonymous"
       referrerpolicy="no-referrer"></script>
```

## Questions

For questions and commercial support, please contact [schukai GmbH](https://www.schukai.com/).
The issue list of this repo is exclusively for bug reports and feature requests.

## Issues

Please make sure to read the Issue Reporting Checklist before opening an
issue. Issues not conforming to the guidelines may be closed immediately.

## License

$(COPYRIGHT_TEXT)

$(COPYRIGHT_URL)

You can also purchase a commercial license.

## Changelog

Detailed changes for each release are documented in
the [CHANGELOG](https://gitlab.schukai.com/oss/libraries/javascript/web-components/$(COMPONENT_SLUG)).

endef

