#############################################################################################
#############################################################################################
##
## ADD SPDX LICENSES
##
## For commercial projects, it is not necessary to add the SPDX license identifier.
## The license header in each file is only for open-source projects, for example under 
## the AGPL 3.0 license.
##
#############################################################################################
#############################################################################################

ifeq ($(ADDLICENSE_BIN),) 
  $(error "addlicense is not installed. Please check your makefile and include the licenses.mk")
endif

.PHONY: add-licenses
## Add license headers to all go files
add-licenses:
	$(ECHOMARKER) "Add license headers to all sourche files"
ifeq ($(LICENSE_FILE_PATTERN),)
	$(error "LICENSE_FILE_PATTERN is not set. Please check your makefile and include the licenses.mk")
endif

ifndef SPDX_LICENSE_ID 
	$(error "SPDX_LICENSE_ID is not defined. Please check your makefile and include the licenses.mk")
endif
	$(QUIET) $(ADDLICENSE_BIN) -c "$(COPYRIGHT_OWNER)" -s -l "$(SPDX_LICENSE_ID)" $(LICENSE_FILE_PATTERN)