#############################################################################################
#############################################################################################
##
## JEKYLL-TARGETS
##
#############################################################################################
#############################################################################################


JEKYLL_VERSION      := snapshot
JEKYLL_BIN          := $(ALVINE_VENDOR_PATH)jekyll-$(JEKYLL_VERSION).phar
JEKYLL_PUBKEY       := $(JEKYLL_BIN).pubkey

$(JEKYLL_PUBKEY):
	$(MKDIR) -p $(ALVINE_VENDOR_PATH)
	$(WGET) -O $(JEKYLL_PUBKEY) http://download.alvine.io/phar/jekyll-$(JEKYLL_VERSION).phar.pubkey

$(JEKYLL_BIN): $(JEKYLL_PUBKEY)
	$(MKDIR) -p $(ALVINE_VENDOR_PATH)
	$(WGET) -O $(JEKYLL_BIN) http://download.alvine.io/phar/jekyll-$(JEKYLL_VERSION).phar
	$(CHMOD) u+x $(JEKYLL_BIN)

.PHONY: run-jekyll
## run jekyll 
run-jekyll: init $(JEKYLL_BIN) $(JEKYLL_PUBKEY) $(TEMP_PATH)jekyll.lock
	$(ECHOMARKER) "Jekyll finished"

.PHONY: run-jekyll-force
## run jekyll (-f) 
run-jekyll-force: init $(JEKYLL_BIN) $(JEKYLL_PUBKEY) 
	$(RM) $(TEMP_PATH)jekyll.lock
	$(MAKE) run-jekyll
	$(ECHOMARKER) "Jekyll finished"

$(TEMP_PATH)jekyll.lock: $(THIS_DIR).jekyll
	$(ECHOMARKER) "Run Jekyll"
	$(JEKYLL_BIN) fetch --force
	$(JEKYLL_BIN) update
	touch $(TEMP_PATH)jekyll.lock